Bug 537177 - (CVE-2009-3556) CVE-2009-3556 kernel: qla2xxx NPIV vport management pseudofiles are world writable
CVE-2009-3556 kernel: qla2xxx NPIV vport management pseudofiles are world wri...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,reported=20091113,pub...
: Security
Depends On: 537317 537318 537319
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-12 13:10 EST by Bryn M. Reeves
Modified: 2015-07-13 03:40 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-10 12:22:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Change sysfs permissions from 0222 to 0644 for a bunch of qla2xxx sysfs files (1.81 KB, patch)
2009-11-12 13:12 EST, Bryn M. Reeves
no flags Details | Diff

  None (edit)
Description Bryn M. Reeves 2009-11-12 13:10:10 EST
Description of problem:

The qla2xxx driver now supports NPIV which adds two new sysfs pseduofiles to the SCSI host attributes:

w--w--w- root root  /sys/class/scsi_host/host1/vport_create
w--w--w- root root  /sys/class/scsi_host/host1/vport_delete
w--w--w- root root  /sys/class/scsi_host/host2/vport_create
w--w--w- root root  /sys/class/scsi_host/host2/vport_delete  

These file default to world writable (S_IWUGO/0222). Upstream uses S_IWUSR (0644) for these files although they've moved around a bit - the equivalent attributes are created from drivers/scsi/scsi_transport_fc.c now.

Version-Release number of selected component (if applicable):
2.6.18-63.el5 onwards

How reproducible:
100% on systems that loads qla2xxx on NPIV capable hardware.

Steps to Reproduce:
1. ls -l /sys/class/scsi_host/<a qla2xxx host>/vport_*
   ls -l /sys/class/scsi_host/<a qla2xxx host>/vport_id
   ls -l /sys/class/scsi_host/<a qla2xxx host>/vport_disable
   ls -l /sys/class/scsi_host/<a qla2xxx host>/symbolic_port_name

Actual results:
--w--w--w- root root  /sys/class/scsi_host/host1/vport_create
--w--w--w- root root  /sys/class/scsi_host/host1/vport_delete
--w--w--w- root root  /sys/class/scsi_host/host2/vport_create
--w--w--w- root root  /sys/class/scsi_host/host2/vport_delete
etc.

Expected results:
-rw-r--r-- root root  /sys/class/scsi_host/host1/vport_create
-rw-r--r-- root root  /sys/class/scsi_host/host1/vport_delete
-rw-r--r-- root root  /sys/class/scsi_host/host2/vport_create
-rw-r--r-- root root  /sys/class/scsi_host/host2/vport_delete
etc.

Additional info:
Comment 1 Bryn M. Reeves 2009-11-12 13:12:13 EST
Created attachment 369281 [details]
Change sysfs permissions from 0222 to 0644 for a bunch of qla2xxx sysfs files

Smoke tested by me but I have no NPIV-capable hardware here to test properly.
Comment 6 errata-xmlrpc 2010-01-19 18:37:06 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0046 https://rhn.redhat.com/errata/RHSA-2010-0046.html

Note You need to log in before you can comment on or make changes to this bug.